Ruby - Bug #12840

Add test for Forwardable#def_delegator on private methods
10/14/2016 12:07 PM - aycabta (aycabta .)

Status: Closed
Priority: Normal
Assignee:

Target version:

ruby -v: ruby 2.4.0dev (2016-10-11 trunk 56392) |Backport: 2.1: UNKNOWN, 2.2: UNKNOWN, 2.3:
[x86_64-linux] UNKNOWN

Description
This is for #12782.

Associated revisions

Revision 58¢5011b3e26643b1c50aac8d0aab094b6899dd0 - 10/31/2016 08:43 AM - shyouhei (Shyouhei Urabe)

¢ test/test_forwardable.rb (TestForwardable#test_on_private_method): add test for [Bug #12782] [Bug #12840]

git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/trunk@56530 b2dd03c8-39d4-4d8f-98ff-823fe69b080e
Revision 58¢5011b - 10/31/2016 08:43 AM - shyouhei (Shyouhei Urabe)

¢ test/test_forwardable.rb (TestForwardable#test_on_private_method): add test for [Bug #12782] [Bug #12840]

git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/trunk@56530 b2dd03c8-39d4-4d8f-98ff-823fe69b080e

History

#1 - 10/31/2016 08:44 AM - shyouhei (Shyouhei Urabe)
- Status changed from Open to Closed

Applied in changeset r56530.

e test/test_forwardable.rb (TestForwardable#test on_private_method): add test for [Bug #12782] [Bug #12840]

Files

test_on_private_method.patch 559 Bytes 10/14/2016 aycabta (aycabta .)

06/17/2025 1/1



https://redmine.ruby-lang.org/issues/12782
https://redmine.ruby-lang.org/issues/12782
https://redmine.ruby-lang.org/issues/12840
http://www.tcpdf.org

